Package org.eclipse.wst.xsl.xalan.debugger

## org.eclipse.wst.xsl.xalan.debugger
Class XalanStyleFrame

    public class XalanStyleFrame
    extends StyleFrame

## Field Summary

`package-private org.apache.xalan.trace.TracerEvent` | `event`

## Constructor Summary

`XalanStyleFrame(StyleFrame parent , org.apache.xalan.trace.TracerEvent event)`

## Method Summary

`public int` | `getCurrentLine()`
`public java.lang.String` | `getFilename()`
`protected java.util.List` | `getGlobals()`
`public java.lang.String` | `getName()`
`public int` | `getSourceCurrentLine()`
`public java.lang.String` | `getSourceFilename()`
`public java.util.List` | `getVariableStack()`
`public org.apache.xalan.trace.TracerEvent` | `peekElement()`
`public org.apache.xalan.trace.TracerEvent` | `popElement()`
`public void` | `pushElement(org.apache.xalan.trace.TracerEvent e)`

## Field Detail

## event

`package-private org.apache.xalan.trace.TracerEvent event`

## Constructor Detail

## XalanStyleFrame

`public XalanStyleFrame(StyleFrame parent , org.apache.xalan.trace.TracerEvent event)`

## Methods Detail

## getCurrentLine

`public int getCurrentLine()`

### Returns

`int`

## getFilename

`public java.lang.String getFilename()`

### Returns

`java.lang.String`

## getGlobals

`protected java.util.List getGlobals()`

### Returns

`java.util.List`

## getName

`public java.lang.String getName()`

### Returns

`java.lang.String`

## getSourceCurrentLine

`public int getSourceCurrentLine()`

### Returns

`int`

## getSourceFilename

`public java.lang.String getSourceFilename()`

### Returns

`java.lang.String`

## getVariableStack

`public java.util.List getVariableStack()`

### Returns

`java.util.List`

## peekElement

`public org.apache.xalan.trace.TracerEvent peekElement()`

### Returns

`org.apache.xalan.trace.TracerEvent`

## popElement

`public org.apache.xalan.trace.TracerEvent popElement()`

### Returns

`org.apache.xalan.trace.TracerEvent`

## pushElement

`public void pushElement(org.apache.xalan.trace.TracerEvent e)`

### Parameters

`e`